Class | Rack::URLMap
In: | lib/action_controller/vendor/rack-1.0/rack/urlmap.rb
Parent: | Object

Rack::URLMap takes a hash mapping urls or paths to apps, and dispatches accordingly. Support for HTTP/1.1 host names exists if the URLs start with `http://` or `https://`.

URLMap modifies the SCRIPT_NAME and PATH_INFO such that the part relevant for dispatch is in the SCRIPT_NAME, and the rest in the PATH_INFO. This should be taken care of when you need to reconstruct the URL in order to create links.

URLMap dispatches in such a way that the longest paths are tried first, since they are most specific.

### Methods

call new remap

### Public Class methods

new(map = {})

### Public Instance methods

call(env)
remap(map)

[Validate]